/* shared */

.tooltip,
.apexcharts-canvas,
#template-customizer,
.ql-container,
body {
	font-family: IRANSansX !important;
}

body {
	text-align: right;
	direction: rtl;
}

.pre-section {
	white-space: pre-line;
}

.form-label,
.col-form-label,
.btn,
b,
strong,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
h1,
h2,
h3,
h4,
h5,
h6 {
	font-weight: bold !important;
}

/* icon alignment fix */

.material-icons-outlined,
.fi,
.bx {
	vertical-align: middle;
}

/* tooltip font size fix */

.tooltip {
	font-size: 0.8rem !important;
}

/* form label font size fix */

.form-label,
.col-form-label {
	font-size: 0.8rem !important;
}

/* customization */

.btn {
	font-weight: bold;
}

/* helpers */

.text-justify {
	text-align: justify !important;
}

/* validation errors box */

.list-validation-messages .list-group-item-danger {
	color: #dc3545 !important;
}

.list-validation-messages .list-group-item-success {
	color: #198754 !important;
}

.list-validation-messages .list-group-item-success.list-group-item+.list-group-item-success.list-group-item,
.list-validation-messages .list-group-item-success.list-group-item:last-child,
.list-validation-messages .list-group-item-success.list-group-item:first-child {
	border-color: #198754 !important;
}

.list-validation-messages .list-group-item-danger.list-group-item+.list-group-item-danger.list-group-item,
.list-validation-messages .list-group-item-danger.list-group-item:last-child,
.list-validation-messages .list-group-item-danger.list-group-item:first-child {
	border-color: #dc3545 !important;
}

.list-group-numbered>.list-group-item.hidden-number::before {
	content: none;
}

.list-validation-messages {
	direction: ltr !important;
	text-align: left !important;
	margin: 0;
	padding: 0;
}

/* datatable fix */

table.dataTable thead>tr>th.sorting:before,
table.dataTable thead>tr>th.sorting:after,
table.dataTable thead>tr>th.sorting_asc:before,
table.dataTable thead>tr>th.sorting_asc:after,
table.dataTable thead>tr>th.sorting_desc:before,
table.dataTable thead>tr>th.sorting_desc:after,
table.dataTable thead>tr>th.sorting_asc_disabled:before,
table.dataTable thead>tr>th.sorting_asc_disabled:after,
table.dataTable thead>tr>th.sorting_desc_disabled:before,
table.dataTable thead>tr>th.sorting_desc_disabled:after,
table.dataTable thead>tr>td.sorting:before,
table.dataTable thead>tr>td.sorting:after,
table.dataTable thead>tr>td.sorting_asc:before,
table.dataTable thead>tr>td.sorting_asc:after,
table.dataTable thead>tr>td.sorting_desc:before,
table.dataTable thead>tr>td.sorting_desc:after,
table.dataTable thead>tr>td.sorting_asc_disabled:before,
table.dataTable thead>tr>td.sorting_asc_disabled:after,
table.dataTable thead>tr>td.sorting_desc_disabled:before,
table.dataTable thead>tr>td.sorting_desc_disabled:after {
	right: 3px;
}

.table th {
	letter-spacing: 0 !important;
}

/* cursor helpers */

.cursor-default {
	cursor: default !important;
}

/* footer */

.footer-link img {
	margin-left: 0.5rem;
}

.footer-link img.h-10 {
	height: 2.5rem;
}

.footer-link img.w-10 {
	width: 2.5rem;
}

/* quilljs */

.ql-editor {
	direction: rtl !important;
	text-align: right !important;
}

.light-style .ql-snow .ql-editor {
	margin: 5px !important;
}

.light-style .ql-snow.ql-container {
	border-radius: .375rem !important;
}

.ql-snow .ql-editor {
	min-height: 10rem !important;
}

.light-style .ql-container.ql-disabled {
	background: #eceef1 !important;
}

.light-style .ql-container.ql-disabled .ql-editor {
	background: #eceef1 !important;
}

/* eof */